summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/ltp/ltp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/ltp/ltp.sh')
-rwxr-xr-xsanity/system_light/scripts/ltp/ltp.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/ltp/ltp.sh b/sanity/system_light/scripts/ltp/ltp.sh
new file mode 100755
index 0000000..819e689
--- /dev/null
+++ b/sanity/system_light/scripts/ltp/ltp.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+function main ()
+{
+
+ ### test this part later #####
+ #old_PWD=$PWD;
+ ### test the above part later #####
+
+ mkdir ltp;
+ cd ltp;
+
+ $TOOLDIR/ltp_run.sh;
+ if [ $? -eq 0 ]; then
+ rm -rfv ltp && echo "removed ltp directories";
+ return 0;
+ else
+ return 1;
+ fi
+
+}
+
+main "$@" \ No newline at end of file